Bug 1556160 - python-catkin_tools: FTBFS in F28
Summary: python-catkin_tools: FTBFS in F28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-catkin_tools
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Scott K Logan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:20 UTC by Fedora Release Engineering
Modified: 2019-05-28 21:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:48:38 UTC
Type: ---


Attachments (Terms of Use)
build.log (2.86 KB, text/plain)
2018-05-28 09:06 UTC, Fedora Release Engineering
no flags Details
root.log (88.11 KB, text/plain)
2018-05-28 09:06 UTC, Fedora Release Engineering
no flags Details
state.log (667 bytes, text/plain)
2018-05-28 09:06 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-03-14 23:20:51 UTC
Your package python-catkin_tools failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24870591

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Fedora Release Engineering 2018-05-28 09:06:38 UTC
Created attachment 1443054 [details]
build.log

Comment 2 Fedora Release Engineering 2018-05-28 09:06:44 UTC
Created attachment 1443055 [details]
root.log

Comment 3 Fedora Release Engineering 2018-05-28 09:06:49 UTC
Created attachment 1443056 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:27:10 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:28:51 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 6 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:30:35 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 7 Ankur Sinha (FranciscoD) 2018-07-09 12:57:09 UTC
The build is broken because `trollius` has been retired in Fedora. I've filed an issue upstream asking if trollius is still required for this package.

https://github.com/catkin/catkin_tools/issues/518

We'll update the package as needed once upstream responds.

Cheers!

Comment 8 Ankur Sinha (FranciscoD) 2018-07-09 13:05:23 UTC
We seem to have two options here:

- unretire python-trollius, and keep it around till 2020 to support py2
- remove py2 support altogether


Thoughts?

Comment 9 Ankur Sinha (FranciscoD) 2018-07-09 18:10:27 UTC
Upstream has said:

"It will remain a requirement until catkin_tools no longer supports Python2 (regardless of the status of Python2 or Trollius's support). There's not another option. The only path forward is to move to Python3 exclusively, until then Trollius is required."

I'll see if we can unretire trollius and keep it around until this package needs it.

Comment 10 Ankur Sinha (FranciscoD) 2018-07-09 18:12:04 UTC
Before I do that: what do the other maintainers think?

Comment 11 Scott K Logan 2018-07-09 19:27:53 UTC
I think this is the right course. Was there a particular reason Trollius was retired? Lack of use? No active maintainers?

Comment 12 Ankur Sinha (FranciscoD) 2018-07-09 21:37:51 UTC
Upstream has deprecated it since asyncio is part of Py3, so the maintainers in Fedora decided to deprecate it too.

https://github.com/vstinner/trollius

https://src.fedoraproject.org/rpms/python-trollius/c/798dd2adbc571001b6085596cf88af8e9256b0a4?branch=master

Comment 13 Ben Cotton 2019-05-02 19:21:49 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-02 21:20:35 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 21:48:38 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.